Speed of gravity and LIV constraints from GW-GRB association paper template
-----
This manuscript is an automated paper to be sent to arXiv whenever a high significance association between GW and GRB can be used to measure the fractional difference between the speed of GW and photons.

Installation
-----

Can install via PyPi:

```
$ pip install SoG-paper
```

or via git:

```
$ git clone https://git.ligo.org/olivier.minazzoli/sog_liv_manuscript_template.git
$ cd sog_liv_manuscript_template
$ pip install -e .
```

Before running this codebase make sure you have an updated certificate via:
```
$ ligo-proxy-init albert.einstein
```

Example Usage
-----

The code can be run via a command-line script:

```
$ SoG_generate_pdf -i (S,MS)XXXXXX -g https://gracedb-playground.ligo.org/api/ -l
```

where you can pass the `-t` tag to use a local test macrofile and `-h` to get all options. This can also be run in a python script:

```python
from SoG.tex.generate_upload_pdf import generate_pdf
generate_pdf((S,MS)XXXXXX,
             gracedb=https://gracedb-playground.ligo.org/api/,
             keep_local_copy=True)
```

Procedure if Coincident Detection
-----

If a superevent has been selected to be appropriate via the presence of a `SOG_READY` label, an analyst should proceed with producing
a mansurcript to be reviewed and released. This is done by creating a macrofile using this superevent ID SXXXXXX via: 

```
$ SoG_generate_macrofile -i SXXXXXX -g https://gracedb.ligo.org/api/ -p results
```

Note that this assumes you are currently in the home directory of the git repository.
If you have not done so yet, please refer to the directions above to clone and enter the repository.
Next, make a commit adding this new macrofile to the `results/` folder:

```
$ git commit -a
```

and give an appropriate message for this commit. Push this commit to the main repository:

```
$ git push
```

and check the `pdf` job. You should be able to find the finished .pdf file located in the artifacts or linked later in this README.

If further changes need to be made, for instance based on feedback from review or if an extraordinary event, then the template files in `SoG/tex/files/`
can be modified accordingly and the pdf generated once again in a similar fashion.

Once review has signed off on the manuscript, the files in `SoG/tex/files/` and the macrofile in `results/` can be uploaded to ArXiv.

Auto-built PDF (in order to check the *.tex part of the manuscript only -> should later be modified to run the code SoG_manuscript_directly)
-----
PDFs are automatically generated when the content changes. The following link is updated automatically.
* [Latest result PDF](https://git.ligo.org/olivier.minazzoli/sog_liv_manuscript_template/-/jobs/artifacts/master/file/SoG_LIV_arxiv_aps.pdf?job=pdf)
* [Latest test PDF](https://git.ligo.org/olivier.minazzoli/sog_liv_manuscript_template/-/jobs/artifacts/master/file/test.pdf?job=test)
